# frozen_string_literal: true

class CreateUxToolkitUserPreferences < ActiveRecord::Migration[6.1]
  def change
    create_table :ux_toolkit_user_preferences do |t|
      t.integer :user_id, null: false
      t.string :landing_page_type
      t.string :landing_page_value
      t.timestamps
    end

    add_index :ux_toolkit_user_preferences, :user_id, unique: true
  end
end

